إعـــــــلان

تقليص
لا يوجد إعلان حتى الآن.

تطبيق واين

تقليص
X
 
  • تصفية - فلترة
  • الوقت
  • عرض
إلغاء تحديد الكل
مشاركات جديدة

  • تطبيق واين

    السﻻم عليكم لم اتمكن من تثبيت تطبيق واين على لينكس منت يظهر لي خطا و استعملت التيرمنال في كتابة اﻻكواد و لم تنجح ممكن تساعدوني ؟؟؟؟؟

  • #2
    المشاركة الأصلية بواسطة رفعت عبد الكريم مشاهدة المشاركة
    السﻻم عليكم لم اتمكن من تثبيت تطبيق واين على لينكس منت يظهر لي خطا و استعملت التيرمنال في كتابة اﻻكواد و لم تنجح ممكن تساعدوني ؟؟؟؟؟
    وعليكم السلام ورحمة الله وبركاته
    ما هو الخطأ ؟ عليك أن توفر صورة او ناتج الخطأ .

    وناتج هذا الامر حتى نعرف أي إصدار تستخدم .
    كود:
    less  /etc/os-release

    تعليق


    • #3
      السلام عليكم هذه رسالة الخطا

      [email protected]:~$ sudo apt-get install wine
      [sudo] password for aboyasr:
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:

      The following packages have unmet dependencies:
      wine : Depends: wine64 (>= 5.0-3ubuntu1) but it is not going to be installed or
      wine32 (>= 5.0-3ubuntu1)
      Depends: wine64 (< 5.0-3ubuntu1.1~) but it is not going to be installed or
      wine32 (< 5.0-3ubuntu1.1~)
      E: Unable to correct problems, you have held broken packages.

      تعليق


      • #4
        قبل القيام بأي شيء هل تأكدت من تفعيل معمارية الـ32bit (فقط إذا كنت تستخدم 64bit) إذا لم تقم بذلك، رجاءًا قم بتفعيلها من خلال الأمر:
        كود:
        sudo dpkg --add-architecture i386
        ثم قم بتنزيل واين من خلال:
        كود:
        wget -nc https://dl.winehq.org/wine-builds/winehq.key
        أضف كود المستودع:
        كود:
        sudo apt-key add winehq.key
        بعد ذلك إختر النسخة المناسبة لإصدار توزيعتك لتنزيلها، هذه الإصدارات المتاحة من موقع واين الرسمي:
        لإصدار أوبونتو 21.04:
        كود:
        sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ hirsute main'
        لإصدار أوبونتو 20.10:
        كود:
        sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ groovy main'
        لإصدار أوبونتو 20.04:
        كود:
        sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ focal main'
        لإصدار أوبونتو 18.04:
        كود:
        sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'
        بعدئذ قم بتحديث الباكدجس:
        كود:
        sudo apt update
        وأخيرًا، قم بتثبيت الواين:
        كود:
        sudo apt install --install-recommends winehq-stable
        لا أنصحك باستعماله كثيرًا إلا إذا كنت مُضطرًا، فهو برنامج مُعقد بعض الشيء ويحتاج لاستعمال من شخص متقدم برمجيًا نوعًا ما، إلا إذا كنت تحاول أن تستخدم برنامجًا بسيطًا لا يحتاج للـ "مايكروسوفت نيتفريموركس".

        تعليق

        يعمل...
        X